=== debian/changelog ===
libmygpo-qt (1.2.0-4) unstable; urgency=medium

  * Team upload.
  * Force the test suites to run with LANG=C & LC_ALL=C & TZ=UTC, as some
    of the tests compare the string representation of values; ideally to be
    done upstream, this should hopefully fix the build on non-English locales.
  * Update symbols files. (Closes: #1117352)

 -- Pino Toscano <pino@debian.org>  Fri, 10 Oct 2025 07:15:43 +0200

libmygpo-qt (1.2.0-3) unstable; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds; mark more template
    instantiations as optional. (Closes: #1114175)

 -- Pino Toscano <pino@debian.org>  Mon, 22 Sep 2025 08:53:57 +0200

libmygpo-qt (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * Add the configuration for the CI on salsa.
  * Update symbols files from the logs of buildds. (Closes: #1111787)
  * Trim trailing whitespace.
  * Add a simple debian/upstream/metadata file.
  * Tweak and simpify the install files.

 -- Pino Toscano <pino@debian.org>  Mon, 25 Aug 2025 20:10:25 +0200

libmygpo-qt (1.2.0-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * RIP Lunar. Adopt the package under the Debian KDE Extras Team’s
    umbrella. Existing uploaders are welcome to continue contributing to
    the packging !
  * Use new git repo location in debian/watch file.
  * Update project homepage.
  * New upstream release (1.2.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Drop build flag not present anymore in upstream build system.
  * Switch to declarative dh-sequence-pkgkde-symbolshelper.
  * Dual Qt5 / Qt6 build.
  * Update symbols from build for 1.2.0.
  * Add patch to fix failing test case.
  * Build with hardening=+all build hardening flag.
  * Fix package section.
  * Switch build dependency to pkgconf.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 13 Aug 2025 22:11:19 +0200

libmygpo-qt (1.1.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild against Qt5 5.15.10.
  * debian/libmygpo-qt5-1.symbols: Review symbols:
    + Drop commented missing symbols. They are from standard c++ library and Qt5
      library that should not be tracked here.
    + Drop disappeared symbols in Qt 5.15.10 rebuild (Closes: #1037729). The
      newly-disappeared symbols are all Qt5 symbols that are meaningless here.
  * debian/patches:
    + Re-generate patches using "gbp pq" for unified format.
    + fix-tests-because-qt-isodate-behavior-change.patch: Fix patch format to
      avoid dpkg-source warning "unexpected end of diff".

 -- Boyuan Yang <byang@debian.org>  Sat, 05 Aug 2023 21:43:16 -0400
