=== debian/control ===
Source: libmygpo-qt
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Thomas Pierson <contact@thomaspierson.fr>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.5~),
               pkgconf,
               pkg-kde-tools,
               qt6-base-dev,
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/libmygpo-qt.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/libmygpo-qt
Homepage: https://gpodder.github.io/docs/libmygpo-qt.html

Package: libmygpo-qt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmygpo-qt5-1 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.0~),
         ${misc:Depends},
Description: Qt5 development headers for the mygpo-qt library
 C++/Qt Library wrapping the gpodder.net Webservice.
 .
 This package contains the Qt5 development headers for the mygpo-qt library.

Package: libmygpo-qt6-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmygpo-qt6-1 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt6 development headers for the mygpo-qt library
 C++/Qt Library wrapping the gpodder.net Webservice.
 .
 This package contains the Qt6 development headers for the mygpo-qt library.

Package: libmygpo-qt5-1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: mygpo-qt library package for Qt 5
 C++/Qt Library wrapping the gpodder.net Webservice.
 .
 This package contains the myqpo-qt library for Qt 5.

Package: libmygpo-qt6-1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: mygpo-qt library package for Qt 6
 C++/Qt Library wrapping the gpodder.net Webservice.
 .
 This package contains the myqpo-qt library for Qt 6.
