=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-qt5
	dh_auto_configure --builddirectory=build-qt6 -- -DBUILD_WITH_QT6=ON

override_dh_auto_build:
	dh_auto_build --builddirectory=build-qt5
	dh_auto_build --builddirectory=build-qt6

override_dh_auto_install:
	dh_auto_install --builddirectory=build-qt5
	dh_auto_install --builddirectory=build-qt6

override_dh_auto_test:
	LANG=C LC_ALL=C TZ=UTC dh_auto_test --builddirectory=build-qt5
	LANG=C LC_ALL=C TZ=UTC dh_auto_test --builddirectory=build-qt6

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build-qt5
	dh_auto_clean --builddirectory=build-qt6
