=== debian/watch ===
version=4
https://github.com/gpodder/libmygpo-qt/tags .*/v?(\d.*)@ARCHIVE_EXT@
